All of lore.kernel.org
 help / color / mirror / Atom feed
* [Buildroot] [git commit branch/next] support/gnuconfig: add update script
@ 2020-05-09 12:18 Thomas Petazzoni
  0 siblings, 0 replies; only message in thread
From: Thomas Petazzoni @ 2020-05-09 12:18 UTC (permalink / raw)
  To: buildroot

commit: https://git.buildroot.net/buildroot/commit/?id=ca7a6ef8aa3f27761ffe7e7f694f29226fadb101
branch: https://git.buildroot.net/buildroot/commit/?id=refs/heads/next

Signed-off-by: Yann E. MORIN <yann.morin.1998@free.fr>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
---
 support/gnuconfig/README.buildroot | 14 ++++----------
 support/gnuconfig/update           | 14 ++++++++++++++
 2 files changed, 18 insertions(+), 10 deletions(-)

diff --git a/support/gnuconfig/README.buildroot b/support/gnuconfig/README.buildroot
index 7e7d49830f..fbf0662543 100644
--- a/support/gnuconfig/README.buildroot
+++ b/support/gnuconfig/README.buildroot
@@ -13,15 +13,9 @@ files of your package to be updated by using:
 <pkg>_POST_PATCH_HOOKS += UPDATE_CONFIG_HOOK
 
 --- UPDATE ---
-GNU config is now managed in git, so to update:
+Run the script 'update' in this directory, and commit the result.
 
-# git clone git://git.savannah.gnu.org/config.git
-# cp config/config.* .
-# for p in $(ls patches/*.patch); do patch -p1 < $p; done
-# rm -rf config
+The current Buildroot version is based on this commit of the config.git
+repository (leave alone on its own line, the script updates it):
 
-Currently no patches are needed, but they may be needed again in the
-future.
-
-The current Buildroot version is based on the Git commit
-104ee6463c4bfaac3f3029d9be9bdd6e93879323 of the config.git repository.
+104ee6463c4bfaac3f3029d9be9bdd6e93879323
diff --git a/support/gnuconfig/update b/support/gnuconfig/update
new file mode 100755
index 0000000000..c8728eadd2
--- /dev/null
+++ b/support/gnuconfig/update
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+set -e
+
+cd "${0%/*}"
+
+git clone https://git.savannah.gnu.org/git/config.git
+sha="$(cd config; git log -1 --pretty=tformat:%H)"
+sed -r -i -e "\$s/.*/${sha}/" README.buildroot
+cp config/config.* .
+for p in $(ls patches/*.patch 2>/dev/null); do
+    patch -p1 < "${p}"
+done
+rm -rf config

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2020-05-09 12:18 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-05-09 12:18 [Buildroot] [git commit branch/next] support/gnuconfig: add update script Thomas Petazzoni

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.